# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hamelin_executor"
version = "0.10.12"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Common package for executing Hamelin across different backends"
homepage = "https://hamelin.sh"
documentation = "https://hamelin.sh/docs/introduction"
readme = "README.md"
license-file = "license.txt"
repository = "https://github.com/perpetualsystems/hamelin"

[lib]
name = "hamelin_executor"
path = "src/lib.rs"
doctest = false

[dependencies.anyhow]
version = "1.0.91"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.bon]
version = "3"

[dependencies.derive_more]
version = "1.0.0"
features = [
    "from",
    "unwrap",
    "try_unwrap",
    "display",
]

[dependencies.expanduser]
version = "1.2.2"

[dependencies.hamelin_lib]
version = "0.10.12"

[dependencies.serde]
version = "1.0.215"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.133"
features = ["preserve_order"]

[dependencies.thiserror]
version = "2.0.12"

[dev-dependencies.pretty_assertions]
version = "1.4.1"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.comfy-table]
version = "7"
features = ["tty"]
default-features = false

[target.'cfg(target_arch = "wasm32")'.dependencies.comfy-table]
version = "7"
default-features = false

[lints.clippy]
self_named_module_files = "deny"
